Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class InitializationRequest

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.PKICertReqMessages
oracle.security.crypto.cmp.InitializationRequest`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class InitializationRequest
extends PKICertReqMessages

PKI message body of type Initialization Request.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`InitializationRequest()` Create a new, empty `InitializationRequest`.
`InitializationRequest(CertReqMsg crm)` Create a new `InitializationRequest` with the specified `CertReqMsg`.
`InitializationRequest(java.io.InputStream is)` Create a new `InitializationRequest` by reading its encoding from the given input stream.

Method Summary
`PKIMessageBody.Type` | `getType()` Returns one of the values defined in `PKIMessageBody.Type`.

Methods inherited from class oracle.security.crypto.cmp.PKICertReqMessages
`addCertReqMsg, getCertReqMessages, input, toString`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializationRequest

    public InitializationRequest()

  Create a new, empty `InitializationRequest`. Use the `PKICertReqMessages.addCertReqMsg(oracle.security.crypto.cmp.CertReqMsg)` or `PKICertReqMessages.input(java.io.InputStream)` methods to complete the object's contents.

### InitializationRequest

    public InitializationRequest(CertReqMsg crm)

  Create a new `InitializationRequest` with the specified `CertReqMsg`.

### InitializationRequest

    public InitializationRequest(java.io.InputStream is)
                          throws java.io.IOException

  Create a new `InitializationRequest` by reading its encoding from the given input stream.

Method Detail

### getType

    public PKIMessageBody.Type getType()

  Description copied from class: `PKIMessageBody`
  Returns one of the values defined in `PKIMessageBody.Type`.
  Specified by:
    `getType` in class `PKIMessageBody`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.